require	'mxx_ru/cpp'

require 'oess_1/defs/version'

Mxx_ru::setup_target(
	Mxx_ru::Cpp::Dll_target.new( "oess_1/defs/prj.rb" ) {
		rtl_mode( Mxx_ru::Cpp::RTL_SHARED )
		rtti_mode( Mxx_ru::Cpp::RTTI_ENABLED )

		required_prj( "ace/dll.rb" )

		Oess_1.setup_platform( self )

		target( "oess_defs" + Oess_1::VERSION )

		define( "OESS_1__DEFS__PRJ" )

		cpp_source( "err_code.cpp" )
		cpp_source( "ex.cpp" )
		cpp_source( "ent_id.cpp" )
	}
)
